Bug 168560 - Replace libungif with giflib for FC5
Replace libungif with giflib for FC5
Product: Fedora
Classification: Fedora
Component: libungif (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-09-17 02:01 EDT by Michael A. Peters
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-11 14:22:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
spec file for giflib (6.59 KB, text/plain)
2005-09-17 02:04 EDT, Michael A. Peters
no flags Details
Giflib spec discussed on fedora-devel (3.57 KB, text/plain)
2005-09-30 16:17 EDT, Toshio Kuratomi
no flags Details
Patch for hash problem on x86_64 (3.96 KB, patch)
2005-09-30 16:21 EDT, Toshio Kuratomi
no flags Details | Diff

  None (edit)
Description Michael A. Peters 2005-09-17 02:01:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
The LZW patent has expired, and several packages in Fedora Core already take advantage of that. The gd library now supports gif with lzw, libtiff now has the lzw support back in by default, etc.

Those changes were all done upstream. libungif upstream also has put lzw back in, but they are calling giflib - and are not putting the lzw stuff into the libungif tarball.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Notice that libungif doesn't contain lzw gif compression

Actual Results:  N/A

Expected Results:  N/A

Additional info:

I've been using giflib instead of libungif on my system in both FC3 and FC4 with absolutely no problems.

I'll attach the spec file I'm using, which is based on the libungif spec file.
Comment 1 Michael A. Peters 2005-09-17 02:04:26 EDT
Created attachment 118925 [details]
spec file for giflib

This is the specfile I am using to build giflib rpms that replace libungif w/o
causing any problems on machines I use it on (x86 and ppc)
Comment 2 Toshio Kuratomi 2005-09-18 02:52:37 EDT
As the upstream maintainer of libungif and giflib, if there's no longer a patent
issue with LZW, I'm all for seeing libungif replaced.  I'm only maintaining it
so Red Hat and other distros can package it for use.  If Red Hat doesn't need
it, I can work on giflib alone and let libungif go unmaintained.
Comment 3 Toshio Kuratomi 2005-09-30 16:17:54 EDT
Created attachment 119487 [details]
Giflib spec discussed on fedora-devel

Here's a specfile for giflib that was discussed on fedora-devel as a
replacement for libungif.
Comment 4 Toshio Kuratomi 2005-09-30 16:21:17 EDT
Created attachment 119488 [details]
Patch for hash problem on x86_64

This patch is referenced in the spec file.  It fixes an issue on x86_64 where
giflib uses a long that needs to be 32bits.  On x86_64, this fails.

Note You need to log in before you can comment on or make changes to this bug.